version: '3.7'
services:
  mongo-hint:
    container_name: mongo-hint
    build: ./
    ports:
      - '9560:9560'
    depends_on:
      - db
    environment:
      server.port: 9560
      spring.mongo.host: db
      spring.mongo.port: 27017
      springdoc.api-docs.enabled: 'true'
    networks:
      - hint-network



  db:
    image: mongo:latest
    container_name: hint_mongodb
    volumes:
      - mongodb_hint:/data/db
    networks:
      - hint-network

# Example create volume
volumes:
  mongodb_hint:

networks:
  hint-network:
    driver: bridge